[aerogear-dev] Run AeroGear-iOS

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

[aerogear-dev] Run AeroGear-iOS

Daniel Passos-2
Hi All,

I would like to take a look at the TODO IOS version. I downloaded the project, installed CocoaPods, setup Podfile, but this not run :/

/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/libtool: -dynamic not specified the following flags are invalid: -ObjC 

/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/libtool: can't locate file for: -lPods

/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/libtool: file: -lPods is not an object file (not allowed in a library)

Command /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/libtool failed with exit code 1


Any idea?


-- 
Daniel Passos


_______________________________________________
aerogear-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/aerogear-dev
Reply | Threaded
Open this post in threaded view
|

Re: [aerogear-dev] Run AeroGear-iOS

danielbevenius
Hi Daniel, 

I've gotten this error before when I've opened the AeroGear-iOS.xcodeproj instead of opening the AeroGear-iOS.xcworkspace. With the latter the Pods project will be linked correctly to the AeroGear-iOS project and you should not get this error, assuming you are running this from Xcode that is. 

Regards,

/Daniel 

On 13 September 2012 03:47, Daniel Passos <[hidden email]> wrote:
Hi All,

I would like to take a look at the TODO IOS version. I downloaded the project, installed CocoaPods, setup Podfile, but this not run :/

/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/libtool: -dynamic not specified the following flags are invalid: -ObjC 

/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/libtool: can't locate file for: -lPods

/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/libtool: file: -lPods is not an object file (not allowed in a library)

Command /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/libtool failed with exit code 1


Any idea?


-- 
Daniel Passos


_______________________________________________
aerogear-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/aerogear-dev



_______________________________________________
aerogear-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/aerogear-dev
Reply | Threaded
Open this post in threaded view
|

Re: [aerogear-dev] Run AeroGear-iOS

Matthias Wessendorf
maybe that's it,

but @DanielP, in the actual 'app' there is not really much there, I
just created an almost empty app to see if the PonyDebugger works with
our AeroGear-iOS library.

See:
https://github.com/aerogear/aerogear-todo-ios/tree/ponydebugger/AeroGear-TODO

-M

On Thu, Sep 13, 2012 at 6:07 AM, Daniel Bevenius
<[hidden email]> wrote:

> Hi Daniel,
>
> I've gotten this error before when I've opened the AeroGear-iOS.xcodeproj
> instead of opening the AeroGear-iOS.xcworkspace. With the latter the Pods
> project will be linked correctly to the AeroGear-iOS project and you should
> not get this error, assuming you are running this from Xcode that is.
>
> Regards,
>
> /Daniel
>
> On 13 September 2012 03:47, Daniel Passos <[hidden email]> wrote:
>>
>> Hi All,
>>
>> I would like to take a look at the TODO IOS version. I downloaded the
>> project, installed CocoaPods, setup Podfile, but this not run :/
>>
>>
>> /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/libtool:
>> -dynamic not specified the following flags are invalid: -ObjC
>>
>>
>> /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/libtool:
>> can't locate file for: -lPods
>>
>>
>> /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/libtool:
>> file: -lPods is not an object file (not allowed in a library)
>>
>> Command
>> /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/libtool
>> failed with exit code 1
>>
>>
>> Any idea?
>>
>>
>> --
>> Daniel Passos
>>
>>
>> _______________________________________________
>> aerogear-dev mailing list
>> [hidden email]
>> https://lists.jboss.org/mailman/listinfo/aerogear-dev
>>
>
>
> _______________________________________________
> aerogear-dev mailing list
> [hidden email]
> https://lists.jboss.org/mailman/listinfo/aerogear-dev
>



--
Matthias Wessendorf

blog: http://matthiaswessendorf.wordpress.com/
sessions: http://www.slideshare.net/mwessendorf
twitter: http://twitter.com/mwessendorf
_______________________________________________
aerogear-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/aerogear-dev